body {
  font-family: 'Poppins', sans-serif;
  background: linear-gradient(135deg, #e4d9f4, #f5ecd3);
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0;
  position: relative;
  overflow: hidden;
}

.login-container {
  background: #ffffff;
  padding: 40px;
  border-radius: 12px;
  box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.3);
  width: 100%;
  max-width: 400px;
  text-align: center;
  position: relative;
  z-index: 2;
}

/* Solo animamos si no hay error de sesión */
.fade-in {
  opacity: 0;
  transform: scale(0.8);
  animation: fadeIn 0.6s ease-in-out forwards;
}

@keyframes fadeIn {
  to {
      opacity: 1;
      transform: scale(1);
  }
}

.login-container img {
  width: 150px;
  margin-bottom: 20px;
  cursor: pointer;
}

.login-title {
  font-weight: 700;
  font-size: 1.8rem;
  margin-bottom: 10px;
  color: #2c3e50;
}

.login-subtitle {
  font-size: 1rem;
  color: #7a7a7a;
  margin-bottom: 20px;
}

.form-control {
  font-size: 1rem;
  padding: 12px;
  border-radius: 8px;
  border: 1px solid #ccc;
  transition: all 0.3s ease-in-out;
}

/* CAMBIAR LOS BORDER AL HACER CLIC EN LOS INPUTS */
.form-control:focus {
  border-color: #5e17eb;
  box-shadow: 0px 0px 15px rgba(94, 23, 235, 0.25);
}

.btn-login {
  background: #5e17eb;
  border: none;
  font-size: 1rem;
  padding: 12px;
  border-radius: 8px;
  color: #fff;
  font-weight: 600;
  transition: all 0.3s ease-in-out;
}

.btn-login:hover, .btn-login:focus {
  background: #3e1099!important;
  color: #fff!important;
}

.input-group-text {
  background: #fa9600;
  color: white;
  border-radius: 8px 0 0 8px;
  border: none;
}

.forgot-password {
  font-size: 0.9rem;
  color: #5e17eb;
  text-decoration: none;
  display: block;
  margin-top: 10px;
}

.forgot-password:hover {
  text-decoration: underline;
}

/* Animación de error */
.shake {
  animation: shake 0.3s ease-in-out;
}

@keyframes shake {

  0%,
  100% {
      transform: translateX(0);
  }

  25% {
      transform: translateX(-8px);
  }

  50% {
      transform: translateX(8px);
  }

  75% {
      transform: translateX(-4px);
  }
}

/* Glitch effect */
.glitch {
  position: relative;
  animation: glitch 0.8s infinite;
}

@keyframes glitch {
  0% {
      text-shadow: 3px 3px #8459ff;
  }

  50% {
      text-shadow: -3px -3px #fa9600;
  }

  100% {
      text-shadow: 3px 3px #8459ff;
  }
}